Subject: [bug#52068] [PATCH] [core-updates-frozen] gnu: libostree: Build with libsoup 2.

From: John Kehayias <[email-masked]>
Date: Tue, 23 Nov 2021 23:13:04 +0000

Hello,

libostree should be built with libsoup-2 (doesn't support libsoup 3 currently) to have HTTP support. This was noticed due to Flatpak updates failing with "This version of ostree was built without libsoup or libcurl, and cannot fetch over HTTP". In the build log of ostree (eg https://ci.guix.gnu.org/build/1775196/log/raw ) you can see that it will report no HTTP backend with libsoup 3, but properly shows libsoup when libsoup-2 is provided as an input as in this patch.

I've checked libostree builds and that Flatpak built with this version successfully can download over HTTP. Thanks to jackhill on IRC for spotting the configuration error of ostree when we both hit the Flatpak update bug.

(Also, I added my copyright line as I forgot it on earlier Flatpak updates around the p11-kit workaround and version updates.)

Happily running on core-updates-frozen,
John
From fc854d57513835493895c8030bfc131f36f72175 Mon Sep 17 00:00:00 2001
From: John Kehayias <[email-masked]>
Date: Tue, 23 Nov 2021 18:04:17 -0500
Subject: [PATCH] gnu: libostree: Build with libsoup 2.

* gnu/packages/package-management.scm (libostree)[inputs]: Change
LIBSOUP to LIBSOUP-MINIMAL-2.
---
 gnu/packages/package-management.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/package-management.scm b/gnu/packages/package-management.scm
index 163683ebdd..9d0d8d4670 100644
--- a/gnu/packages/package-management.scm
+++ b/gnu/packages/package-management.scm
@@ -19,6 +19,7 @@
 ;;; Copyright © 2020 Vincent Legoll <[email-masked]>
 ;;; Copyright © 2021 Ivan Gankevich <[email-masked]>
 ;;; Copyright © 2021 Maxim Cournoyer <[email-masked]>
+;;; Copyright © 2021 John Kehayias <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -1567,7 +1568,7 @@ (define-public libostree
        ("glib" ,glib)
        ("gpgme" ,gpgme)
        ("libarchive" ,libarchive)
-       ("libsoup" ,libsoup)
+       ("libsoup" ,libsoup-minimal-2) ; needs libsoup-2.4
        ("util-linux" ,util-linux)))
     (home-page "https://ostree.readthedocs.io/en/latest/")
     (synopsis "Operating system and container binary deployment and upgrades")
-- 
2.34.0